package sop_task

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_task"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/sop_task/list sop_task GetApiSopTaskList
//

//

//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SopApiListReq
//
// Responses:
//  200: SopTaskListResp

func GetApiSopTaskListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SopApiListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_task.NewGetApiSopTaskListLogic(r.Context(), svcCtx)
		resp, err := l.GetApiSopTaskList(&req, r)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
